slepc-3.21.1 2024-04-26
Report Typos and Errors

# BVSetVecType

Set the vector type to be used when creating vectors via BVCreateVec().

### Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVSetVecType(BV bv,VecType vtype)

Collective

### Input Parameters

| bv | - the basis vectors context
| vtype | - the vector type

### Note

This is not needed if the BV object is set up with BVSetSizesFromVec(), but may be required in the case of BVSetSizes() if one wants to work with non-standard vectors.

### See Also

BVGetVecType(), BVSetSizesFromVec(), BVSetSizes()

### Level

advanced

### Location

src/sys/classes/bv/interface/bvbasic.c
Index of all BV routines
Table of Contents for all manual pages
Index of all manual pages